Returns the number of fields in this document

- « SolrDocument::getField

- SolrDocument::getFieldNames »

- PHP Manual
- SolrDocument
- Returns the number of fields in this document

# SolrDocument::getFieldCount

(PECL solr >= 0.9.2)

SolrDocument::getFieldCount — Returns the number of fields in this document

### Description

public SolrDocument::getFieldCount(): int

Returns the number of fields in this document. Multi-value fields are only counted once.

### Parameters

This function has no parameters.

### Return Values

Returns an integer on success and `false` on failure.